<?php

    include("../../classes/database.class.php");
    include("../../classes/moedaModel.class.php");
    include("../../classes/moedaController.class.php");

    $codigo = $_POST["codigo"];
    $nome = $_POST["nome"];
    $simbolo = $_POST["simbolo"];
    $posicao = $_POST["posicao"];
    $casaDecimal = $_POST["casaDecimal"];

    if($codigo == ""){
        $codigo = null;
    }
    if($nome == ""){
        $nome = null;
    }
    if($simbolo == ""){
        $simbolo = null;
    }
    if($posicao == ""){
        $posicao = null;
    }
    if($casaDecimal == ""){
        $casaDecimal = null;
    }

    $modelo = new MoedaController($codigo, $nome, $simbolo, $posicao, $casaDecimal);
    $id = $modelo->createMoeda();
    echo $id;